/******************************************************************************
 The computer software and associated documentation called DOMAK hereinafter
 referred to as the WORK which is more particularly identified and described in
 Appendix A of the file LICENSE.  Conditions and restrictions for use of
 this package are also in this file.

 This file was written by Asim S. Siddiqui


 All use of the WORK must cite:
 Siddiqui, A. S. and Barton, G. J., "Continuous and Discontinuous Domains: An
 Algorithm for the Automatic Generation of Reliable Protein Domain Definitions" 
 PROTEIN SCIENCE, 4:872-884 (1995).
*****************************************************************************/

/*
 * Title
 *     asd_contacts_utils.h
 * Purpose
 *     header file for asd_contacts_utils.c
 * Author
 *     Asim Siddiqui
 * SccsId
 *     %W%   %U%   %E%
 */

#ifndef HAVE_ASD_CONTACTS_UTILS_H
#define HAVE_ASD_CONTACTS_UTILS_H

#include <rdssp.h>
#include <asd_structs.h>

void
asd_read_all_info(char *contacts_file_name, char *dssp_file_name,
                  int *real_num_atoms,
                  struct brookn **contacts_bn, char **contacts_ss,
                  struct br **contacts_bridges,
                  char **contacts_sheet, Asd_Contact_Info ***contacts_info,
                  Asd_Contact_Info ***contacts_rev_info);

#endif /*HAVE_ASD_CONTACTS_UTILS_H*/
